/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

@import "common_colors";

.ls-form {

  label:not(.btn), legend {
    font-weight: bold;
  }

  fieldset legend {
    font-size: 1em;
  }

  .ls-info, .ls-info-label {
    font-size: 0.9rem;
    color: map_get($colors, "ls-info-600");
    margin-left: 2rem;
    position: relative;

    &:before {
      font-size: 1rem;
      font-family: FontAwesome, sans-serif;
      font-weight: normal;
      font-style: normal;
      display: inline-block;
      text-decoration: inherit;
      content: "\f05a";
      color: map_get($colors, "ls-info-600");
      position: absolute;
      left: -1.3rem;
      top: -0.2rem;
    }
  }

  .ls-info {
    display: block;
    margin-left: 1.3rem;
    margin-bottom: 1rem; /* FIXME find real var value */
  }

  .ls-info-label {
    float: right;
  }

  .required label:not(.btn) {
    position: relative;

    &:before {
      content: "* ";
      font-weight: normal;
      color: $ip-required-color;
      position: absolute;
      left: -0.8rem;
      top: -0.4rem;
    }
  }

  &.inline-label {
    .ng-fa-icon:not(:last-child) {
      margin-right: 0.5 * $ip-form-inline-label-margin;
    }

    label {
      margin-right: $ip-form-inline-label-margin;
      margin-bottom: 0;
    }
  }

  .form-inline > .form-group {
    margin-right: $ip-form-inline-input-margin;

    & > label {
      margin-right: $ip-form-inline-label-margin;
    }
  }

  .ng-touched.ng-invalid:not(.ng-pristine), ng-select.ng-touched.ng-invalid:not(.ng-pristine) .ng-select-container {
    border-color: $ip-required-color;
    box-shadow: none;
  }

  .ng-select-disabled {
    .ng-select-container {
      cursor: not-allowed;

      .ng-value-container {
        .ng-input > input {
          cursor: not-allowed;
        }
      }
    }
  }

  .ng-invalid:focus:not(.ng-pristine) {
    border-color: $ip-required-color;
    box-shadow: $ip-form-input-box-shadow-focused-error;
  }

  // To remove default firefox behavior
  .ng-untouched:not(:focus) {
    box-shadow: none;
  }

  //.ng-invalid:focus:not(.ng-pristine) {
  //  border-color: $ip-required-color;
  //  box-shadow: $ip-form-input-box-shadow-focused-error;
  //}
}
